Package org.apache.sysds.hops.cost

# Class VarStats

java.lang.Object
org.apache.sysds.hops.cost.VarStats

public class VarStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`VarStats(long rlen, long clen, int blen, long nnz, boolean inmem)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`long`
`getCols()`
`long`
`getRows()`
`double`
`getSparsity()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VarStats

public VarStats(long rlen, long clen, int blen, long nnz, boolean inmem)

## Method Details

### getRows

public long getRows()

### getCols

public long getCols()

### getSparsity

public double getSparsity()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### clone

public Object clone()